pipeline {
  agent any
  stages {
    stage('Build And SonarQube analysis') {
      steps {
        withSonarQubeEnv('SonarQube') {
          script {
            def nodeHome = tool 'NodeJS';
            def scannerHome = tool 'ScannerForMSBuild'
            // sh "dotnet tool install --global dotnet-sonarscanner" ;
            sh "dotnet --version"
            sh "dotnet ${scannerHome}/SonarScanner.MSBuild.dll begin /k:\"sylvain.combe_vc-module-catolog-split_AX-xQHJEaNq5JohJSBIV\" " ; // /D:sonar.nodejs.executable=${nodeHome}/bin/node
            sh "dotnet build" ;
            sh "dotnet ${scannerHome}/SonarScanner.MSBuild.dll end"
	      }
        }
      }
    }

    stage("Quality Gate") {
      steps {
        timeout(time: 1, unit: 'HOURS') {
          // Parameter indicates whether to set pipeline to UNSTABLE if Quality Gate fails
          // true = set pipeline to UNSTABLE, false = don't
          waitForQualityGate abortPipeline: true
        }
      }
    }
  }
}
